Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

claws-mail-extra-plugins-devel-3.7.8-9.12.4 RPM for x86_64

From OpenSuSE 11.4 for x86_64

Name: claws-mail-extra-plugins-devel Distribution: openSUSE 11.4
Version: 3.7.8 Vendor: openSUSE
Release: 9.12.4 Build date: Wed Feb 23 01:03:02 2011
Group: Development/Libraries/Other Build host: build22
Size: 129286 Source RPM: claws-mail-extra-plugins-3.7.8-9.12.4.src.rpm
Packager: http://bugs.opensuse.org
Url: http://claws-mail.org
Summary: Plugins for Claws Mail
Development files for Claws Mail plugins.

Provides

Requires

License

GPLv2+

Changelog

* Mon Feb 14 2011 vuntz@opensuse.org
  - Rename claws-mail-extra-plugins-missing_include.patch to
    claws-mail-extra-plugins-fancy-build.patch for clarification, and
    tag the patch. Also, only apply it on 11.4 and later.
* Thu Feb 10 2011 ro@suse.de
  - claws-mail-extra-plugins-missing_include.patch: add missing
    include for webkitglobals.h to fix compiler warning about
    implicit declaration for webkit_get_default_session
* Sat Dec 11 2010 vuntz@opensuse.org
  - Add claws-mail Requires: the plugins are useless without the
    application.
* Wed Dec 08 2010 vuntz@opensuse.org
  - Update to version 3.7.8:
    + Various small fixes in multiple plugins.
    + Updated translations.
  - Use pushd/popd magic to apply
    claws-mail-extra-plugins-libytnef_shlib.patch while being in the
    right directory, so we don't have to update the patch every time
    the plugin version changes.
  - Cleanup update to 3.7.7.
* Mon Nov 22 2010 nmo.marques@gmail.com
  - Update to version 3.7.7:
    + New plugins:
    - address_keeper: save outgoing addresses to a specific folder
      in the address book
    - clamd: use Clam Antivirus
    + Drop synce_plugin plugin.
    + geolocation_plugin:
    - check for clutter-gtk
    + mailmbox:
    - adapt to folder API changes
    - fix copy-paste error
    + notification_plugin:
    - update to libindicate 0.3.0 API
    - make some strings translatable
    + python_plugin:
    - add function to select messages in the summary view
    - add FilePath accessor for MessageInfo objects
    - copying/moving of messages
    - add information about mailbox name to folder
    + rssyl:
    - allow all curl-supported HTTP encodings
    - fix logic error in comparing non-Atom feed item dates
    - check presence of timestamp on newly parsed feed item, not on
      our stored item
    - do not discard newline characters from item bodies
    - require mandatory Atom entry elements, discard an entry
      otherwise
    - strip newlines in fields where necessary (subject, links,
      ...)
    - disable the comment age spinbutton in feed properties if
      comment fetching is disabled
    - allow Escape and Enter keys to exit feed properties dialog
      with appropriate action (cancel and confirm)
    - adapt to folder API changes
    + vcalendar:
    - fix crash
    + Removed libytnef(0)
    + Various small fixes in multiple plugins.
    + Updated translations.
  - Only build geolocation_plugin on 11.4 and later, since build
    fails on earlier versions of openSUSE.
* Mon Aug 30 2010 dimstar@opensuse.org
  - On openSUSE 11.4, we have libchamplain 0.7/0.8. Replacing the
    Requirement of geolocation plugin using a sed-hack in this case.
* Thu Aug 05 2010 vuntz@opensuse.org
  - Add explicit libsoup-devel BuildRequires (was brought in via
    libwebkit-devel before).
* Mon Jun 21 2010 dimstar@opensuse.org
  - Update to version 3.7.6:
    + att_remover:
    - FreeBSD portability fix
    - Fix crasher, handle multipart/related mimepart correctly
    - Make sure text part is first in sibling's list
    - When setting first text mimepart after attachment deletion
      favour text/plain over text/html or other
    + Fancy:
    - Add support for libsoup-gnome
    - Add support for internal images as cid
    - Add 'Import feed' context menu item
    - Add basic support for downloading files
    - Add support for saving images
    - Fixes sensitivity on preferences's menu after a preference's
      override
    - Do not cache temporary preferences when changing message
    - Fix bug 2160: Open links with external browser
    - Fix build problem caused by broken curl-config
    + gtkhtml2_viewer:
    - Fix bug 2103, 'Crash when clicking on a message'
    - Fix build with GTK+ 2.19
    + mailmbox:
    - Fix bug 2111, 's_claws_mailmbox_fetch_msg() heap corruption'
    + notification:
    - Require GTK+ >= 2.10
    - Fix build with GTK+ 2.19
    + perl:
    - Add "make_sure_folder_exists" function
    + All plugins:
    - Updated translations.
  - Update claws-mail-extra-plugins-libytned_shlib.patch to apply
    after the version update of tnef_parse in the tarball.
* Wed Feb 10 2010 vuntz@opensuse.org
  - Drop libgtkhtml-devel BuildRequires: the gtkhtml2_viewer plugin
    contains a fork of the library.
* Wed Feb 10 2010 dimstar@opensuse.org
  - Update to version 3.7.5:
    + Please see README for a full list of changes.
* Mon Jan 11 2010 dimstar@opensuse.org
  - Update to version 3.7.4:
    + Please see README for a full list of changes.
  - Update claws-mail-extra-plugins-libytned_shlib.patch to apply
    after the version update of tnef_parse in the tarball.
  - Add libchamplain-devel to BuildRequires.
* Mon Nov 30 2009 dimstar@opensuse.org
  - Update to version 3.7.3:
    + please see README for a full list of changes.
  - Refactored claws-mail-extra-plugins-libytnef_shlib.patch
  - Add python-gtk-devel BuildRequires.
* Wed Aug 05 2009 dominique-obs@leuenberger.net
  - Update to version 3.7.2:
    + too many changes since last packaged version. See README.
  - Refactor claws-mail-extra-plugins-libytnef_shlib.patch
  - BuildRequire libwebkit-devel for the fancy plugin.
  - Drop claws-mail-extra-plugins-prototypes.diff: fixed upstream.
  - Drop claws-mail-extra-plugins-warnings.diff: fixed upstream.
  - Fix summary and description of packages.
  - Remove custom PKG_CONFIG_PATH and CFLAGS.
  - Split lang package.
  - Requires specific perl version
* Wed Jul 15 2009 puzel@novell.com
  - fix build (build with Large File Support)
* Fri Mar 20 2009 crrodriguez@suse.de
  - run ldconfig
  - add missing gtk2-devel dependency to the -devel package
  - use --disable-static instead of removing static libraries at install

Files

/usr/include/claws-mail/plugins
/usr/include/claws-mail/plugins/archive
/usr/include/claws-mail/plugins/archive/archiver.h
/usr/include/claws-mail/plugins/archive/archiver_prefs.h
/usr/include/claws-mail/plugins/vcalendar
/usr/include/claws-mail/plugins/vcalendar/ical.h
/usr/include/claws-mail/plugins/vcalendar/vcal_interface.h
/usr/include/notification_plugin
/usr/include/notification_plugin/gtkhotkey
/usr/include/notification_plugin/gtkhotkey/eggaccelerators.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-error.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-info.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-key-file-registry.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-listener.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-marshal.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-registry.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-utils.h
/usr/include/notification_plugin/gtkhotkey/gtk-hotkey-x11-listener.h
/usr/include/notification_plugin/gtkhotkey/gtkhotkey.h
/usr/include/notification_plugin/gtkhotkey/tomboykeybinder.h


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Dec 10 10:36:29 2014